Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Invalid
    • Affects Version/s: 3.0.0-alpha4
    • Fix Version/s: None
    • Component/s: build
    • Labels:
      None

      Description

      HADOOP-10101 upgraded the guava version for 3.x to 21.

      Guava is broadly used by Java projects that consume our artifacts. Unfortunately, these projects also consume our private artifacts like hadoop-hdfs. They also are unlikely on the new shaded client introduced by HADOOP-11804, currently only available in 3.0.0-alpha2.

      We should shade Guava everywhere to proactively avoid breaking downstreams. This isn't a requirement for all dependency upgrades, but it's necessary for known-bad dependencies like Guava.

        Attachments

        1. HADOOP-14284.012.patch
          1.18 MB
          Tsuyoshi Ozawa
        2. HADOOP-14284.010.patch
          1.13 MB
          Tsuyoshi Ozawa
        3. HADOOP-14284.007.patch
          1.13 MB
          Tsuyoshi Ozawa
        4. HADOOP-14284.004.patch
          40 kB
          Tsuyoshi Ozawa
        5. HADOOP-14284.002.patch
          28 kB
          Tsuyoshi Ozawa
        6. HADOOP-14238.pre001.patch
          22 kB
          Tsuyoshi Ozawa

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                andrew.wang Andrew Wang
              • Votes:
                2 Vote for this issue
                Watchers:
                24 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: